<?php !defined('APP_DIR') ? die('acceess not defined') : '';
class session{
    
    /**
     * 设置session的值
     *
     * @param string $key
     * @param mixed $value
     * @param int $minute
     */
    static public function set($key, $value, $minute = 180){
        session_cache_expire($minute);
        session_start();
        $_SESSION[$key] = $value;
    }
    
    /**
     * 删除session的值
     *
     * @param string $key
     */
    static public function delete($key){
        session_start();
        unset($_SESSION[$key]);
    }
    
    /**
     * 获取session的值
     *
     * @param string $key
     * @return mixed
     */
    static public function get($key){
        session_start();
        if (!isset($_SESSION[$key])) {
        	return null;
        }
        return $_SESSION[$key];
    }
}
?>